Subject: Re: [openpgp] heads-up: re-chartering the OPENPGP WG

From: Benjamin Kaduk <[email-masked]>
Date: Wed, 4 Nov 2020 12:24:20 -0800

Hi Derek, Paul,

On Wed, Oct 21, 2020 at 08:36:25AM -0400, Derek Atkins wrote:
> 
> On Wed, October 21, 2020 8:33 am, Stephen Farrell wrote:
> >
> > On 21/10/2020 13:01, Derek Atkins wrote:
> 
> >>
> >> Or is the plan to start from the current rfc4880bis draft and work from
> >> there to get it across the finish line?
> >
> > More or less.
> >
> > There will of course need to be a discussion about WG
> > adoption of a draft but IIUC the goal will be for that to
> > basically start from the current bis draft. What I don't
> > know is whether or not there are parts in the current draft
> > that a WG would rather not have and how that might affect
> > people's opinions on adoption. I do believe a WG would want
> > almost all of the bis text so starting from testing that
> > (via a WG adoption discussion) seems like a plan to me.
> > But again, that's getting a bit ahead of ourselves.
> >
> >> The current wording in the charter leads me to the former and not the
> >> latter process.  Can you please confirm?
> >
> > Feel free to suggest some words pointing out it's the
> > latter. (Or I can try later on, if that's better.)
> 
> Maybe the simplest way would be to change:
> 
> The Working Group will perform the following work:
> 
> - Revise RFC4880
> 
> to read:
> 
> - Revise RFC4880.  The intent is to start from the current rfc4880bis draft.

I'm happy to put that change in, as it reflects what I understand to be the
universal or near-universal sentiment.

On Tue, Oct 20, 2020 at 09:29:48PM -0400, Paul Wouters wrote:
> On Wed, 21 Oct 2020, Stephen Farrell wrote:
> 
> > The draft charter is at [1].
> 
> I would remove the "Other work related to OpenPGP" section. One of the
> issues in this group has been sudden new items appearing and being
> worked on without consensus. Modify the charter after 4880bis is done
> to do "other work"

I didn't see anyone else respond on this point, even with Stephen's
prompting, so I didn't make a change at this time.  Happy to revisit it if
needed, especially if there are text suggestions.  On a more practical
note, I think it would be hard to keep us from talking about other things,
so to some extent that paragraph is just conceding to reality, while
acknowledging that we do want to try to stay focused on 4880bis.

Thanks to everyone for all the feedback and being understanding about the
slightly weird process I ended up having this recharter go through.

-Ben

---

From: Daniel Kahn Gillmor <[email-masked]>
Date: Thu, 05 Nov 2020 18:59:46 -0500

> universal or near-universal sentiment.

To be clear, i think the much of the work in the current rfc4880bis
draft does address the outstanding chartered items, has widespread
adoption and documented WG consensus, or is part of straightforward
editorial cleanup.  There are other parts of the current rfc4880bis that
do not address chartered items, are not widely deployed, or have not
gained consensus.

For the former set, we will absolutely start from the text in the
current rfc4880bis.  For the parts that are in the latter set, we should
reserve any already-documented codepoints in 4880bis, and encourage
advocates who care to advance individual drafts that flesh them out
further.  For what it's worth, this latter set includes things that i
have advocated for, so i'll be following this approach myself.

If the reformed WG can publish an actual rfc4880bis, as chartered and
with consensus and multiple implementations, then we should talk about
rechartering so we can adopt those individual drafts as WG items.

             --dkg

---

From: Michael Richardson <[email-masked]>
Date: Fri, 06 Nov 2020 16:52:23 -0500

> do not address chartered items, are not widely deployed, or have not

It seems to me that we need to:

1) adopt a document which is rfc4880-equivalent.
2) identify the pieces which have "widespread adoption" and/or are "editorial
   cleanup", so that we can clearly have documented WG consensus.
3) publish a document.
   I even wonder if that document might be Internet Standard, if the items
   are widely deployed.
   (Note that also involve cutting the pieces in 4880 that were never deployed)

4) re-cycle on the parts which did make the above cut.

    > have advocated for, so i'll be following this approach myself.

I don't think we can start from the document which has been reposted because
they didn't have a WG to get consensus from.  We have to start from rfc4880.
Adding this bis pieces in a clear -01/-02 shouldn't take that long.
AT MOST, one IETF meeting cycle, less if we employ some virtual interims.

    > rechartering so we can adopt those individual drafts as WG items.

I agree.

--
]               Never tell me the odds!                 | ipv6 mesh networks [
]   Michael Richardson, Sandelman Software Works        |    IoT architect   [
]     [email-masked]  http://www.sandelman.ca/        |   ruby on rails    [

--
Michael Richardson <[email-masked]>   . o O ( IPv6 IøT consulting )
           Sandelman Software Works Inc, Ottawa and Worldwide